Skip to main content
GET
Get payment invoice status

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

Success

id
string
environment
string
status
enum<string>
Available options:
creating,
pending,
completed,
expired,
failed,
manual_review
depositAmount
string
Pattern: ^\d+(\.\d{1,2})?$
Example:

"100.00"

fee
string

Total customer fee on creditAmount, including the issuer deduction; rounded upward to cents.

Pattern: ^\d+(\.\d{1,2})?$
Example:

"1.49"

creditAmount
string

Actual amount credited after the issuer deduction.

Pattern: ^\d+(\.\d{1,2})?$
Example:

"99.00"

totalDebit
string

creditAmount plus fee. TRX network fees are separate.

Pattern: ^\d+(\.\d{1,2})?$
Example:

"100.49"

address
string | null
walletId
string | null
pricingVersion
string
Example:

"nominal_150"

payAmount
string | null

Exact USDT transfer amount; up to 6 decimals. Never round this value.

Example:

"100.024"

asset
string
network
string
expiresAt
string<date-time> | null
createdAt
string<date-time>